Index: trunk/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs	(revision 49)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs	(revision 50)
@@ -575,8 +575,7 @@
                 if (!m_SaveSwitch) return;
 
                 // パス作成
-                //string strFilename = @strFilePath + s_WordExtension[m_WordVersion];
-                string strFilename = @strFilePath + s_WordExtension[0];
+                string strFilename = @strFilePath + s_WordExtension[m_WordVersion];
 
                 object[] Parameters = new object[16];
                 Parameters[0] = strFilename;                    // FileName
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 49)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 50)
@@ -120,6 +120,8 @@
 
                 List<int> RemoveList = new List<int>();
                 List<int> UpdateLinkList = new List<int>();
+                int ParentCode = 0;
+                int LinkCount = 0;
                 RemoveList.Add(RemoveCode);
                 // 増減工事親確認
                 if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
@@ -126,6 +128,10 @@
                 {
                     GetLinkageCode(RemoveCode, DB03, ref RemoveList, false);
                 }
+                else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                {
+                    LinkCount = GetLinkageCode2(RemoveCode, DB03, ref ParentCode);
+                }
                 // 結合工事親確認
                 if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
                 {
@@ -146,12 +152,13 @@
 
                 bool ProcSuccess = true;
                 string strRemove = string.Empty;
+                string strRemove2 = string.Empty;
                 for (int i = 0; i < RemoveList.Count; i++)
                 {
                     strRemove = DB01.CreatePrimarykeyString(RemoveList[i]);
                     if (!DB01.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
                     if (!DB02.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
-                    DB03.DeleteAction(strRemove, false);
+
                     DB04.DeleteAction(strRemove, false);
                     DB05.DeleteAction(strRemove, false);
                     DB06.DeleteAction(strRemove, false);
@@ -176,23 +183,38 @@
                     DB25.DeleteAction(strRemove, false);
                     DB26.DeleteAction(strRemove, false);
                     DB27.DeleteAction(strRemove, false);
+
+                    if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent
+                        || BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                    {
+                        DB03.DeleteAction(strRemove, false);
+                    }
+                    else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    {
+                        strRemove2 = string.Format(" Where FluctuationCode = {0}", RemoveList[i]);
+                        strRemove2 += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                        DB03.DeleteAction(strRemove2, false);
+                    }
+                    else if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren)
+                    {
+                        // 削除処理の未実装
+                    }
                 }
 
                 // 結合工事リンク情報更新
                 if (ProcSuccess)
                 {
-                    // 増減工事親確認
-                    if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                    // 増減工事子の場合（最後のリンク情報か、どうかの確認）
+                    if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
                     {
-                        for (int i = 0; i < RemoveList.Count; i++)
-                        {
-                            if (!DB01.UpdateFeild(RemoveList[i]
+                        if (LinkCount == 1)
+                        {   // 最後のリンクは親を増減工事より外す
+                            if (!DB01.UpdateFeild(ParentCode
                                                 , (int)IOConstructionBaseInfo.TableColumn.TyingFlg
                                                 , (int)CommonDefine.BaseInfoTyingFlg.Standard
                                                 , false))
                             {
                                 ProcSuccess = false;
-                                break;
                             }
                         }
                     }
@@ -288,6 +310,36 @@
         }
         #endregion
 
+        #region 増減工事リンク親コード取得
+        /// <summary>
+        /// 増減工事リンク親コード取得
+        /// </summary>
+        private static int GetLinkageCode2(int RemoveCode, IOConstructionLink LinkDB, ref int ParentCode)
+        {
+            try
+            {
+                string strSQL = "SELECT B.CONSTRUCTIONCODE, COUNT(*) FROM CONSTRUCTIONLINK A, CONSTRUCTIONLINK B";
+                strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", RemoveCode);
+                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += " GROUP BY B.CONSTRUCTIONCODE";
+
+                ArrayList arList = new ArrayList();
+                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return 0;
+
+                object[] CurRec = (object[])arList[0];
+
+                ParentCode = CommonMotions.cnvInt(CurRec[0]);
+                return CommonMotions.cnvInt(CurRec[1]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 結合親工事番号取得処理
         /// <summary>
         /// 結合親工事番号取得処理
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 49)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 50)
@@ -399,7 +399,7 @@
                             break;
 
                         case (int)ProcessExecuteNo.DRWork:                              // 18:出勤日報入力
-                            
+                            ProcessExecuteNo_DRWork(m_ProcControlPara[NowPoint]);
                             break;
 
                         case (int)ProcessExecuteNo.PurchaseOrderStatus:                 // 19:注文書発給一覧
@@ -1521,8 +1521,51 @@
         }
         #endregion
 
+        #region 出勤管理入力
+        /// <summary>
+        /// 出勤管理入力
+        /// </summary>
+        /// <returns></returns>
+        public static void ProcessExecuteNo_DRWork(ProcessParameter CurrentPara)
+        {
+            // 出勤管理入力
+            FrmDRWork frm = new FrmDRWork();
+            try
+            {
+                // 自分のハンドルをリストへセットする
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.DRWork;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+
+                // 起動・編集フラグ
+                //int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                //if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                //{
+                //    BackProcess();
+                //    return;
+                //}
+                //if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // パラメータセット
+                frm.PersonCode = CurrentPara.IntExecParameter[1];
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region マスタメンテナンス
         // ----------------- メンテナンス起動
         #region 管理マスタ
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 50)
@@ -0,0 +1,459 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 出勤日報データＤＢアクセス
+    /// </summary>
+    public class IOAttendanceData : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            /// <summary>
+            /// 作成者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 日報作成日
+            /// </summary>
+            AttendanceDate,
+            /// <summary>
+            /// 明細行番号
+            /// </summary>
+            SeqNo,
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 残業時間
+            /// </summary>
+            OvertimeHours,
+            /// <summary>
+            /// コメント
+            /// </summary>
+            WorkingComment,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOAttendanceData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += " ,TO_CHAR(AttendanceDate, 'YYYY/MM/DD')";            // 日報作成日
+            strcmd += " ,SeqNo";                                            // 明細行番号
+            strcmd += " ,ConstructionCode";                                 // 工事番号
+            strcmd += " ,OvertimeHours";                                    // 残業時間
+            strcmd += " ,WorkingComment";                                   // コメント
+            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
+            strcmd += " FROM AttendanceData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<AttendanceData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    AttendanceData work = new AttendanceData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref AttendanceData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(AttendanceData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO AttendanceData";
+                strcmd += "  (PersonCode";      // 担当者コード
+                strcmd += " ,AttendanceDate";   // 日報作成日
+                strcmd += " ,SeqNo";            // 明細行番号
+                strcmd += " ,ConstructionCode"; // 工事番号
+                strcmd += " ,OvertimeHours";    // 残業時間
+                strcmd += " ,WorkingComment";   // コメント
+                strcmd += " ,EntryDate";        // 登録年月日
+                strcmd += " ,UpdateDate)";      // 更新年月日
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
+                strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
+                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd += string.Format(", {0}", work.OvertimeHours);                   // 残業時間
+                strcmd += string.Format(",'{0}'", work.WorkingComment);                 // コメント
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<AttendanceData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (AttendanceData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, AttendanceData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE AttendanceData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(",AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
+                strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
+                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
+                strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
+                
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM AttendanceData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE AttendanceData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.AttendanceDate:
+                        strcmd += string.Format(" AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)DataColumn.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.OvertimeHours:
+                        strcmd += string.Format(" OvertimeHours = {0}", (double)value);
+                        break;
+                    case (int)DataColumn.WorkingComment:
+                        strcmd += string.Format(" WorkingComment = '{0}'", CommonMotions.cnvString(value));
+                        break;
+                }
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref AttendanceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
+                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.OvertimeHours = double.Parse(objwrk[(int)DataColumn.OvertimeHours].ToString());         // 残業時間
+                wrk.WorkingComment = objwrk[(int)DataColumn.WorkingComment].ToString();                     // 当日作業内容
+                
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (AttendanceDate != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", AttendanceDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 追加番号の最大値を取得
+        /// <summary>
+        /// 追加番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM AttendanceData" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
Index: trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 50)
@@ -0,0 +1,115 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 出勤日報データ定義クラス
+    /// </summary>
+    public class AttendanceData
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        private DateTime    m_AttendanceDate = DateTime.Now;
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int         m_ConstructionCode = 0;
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        private double      m_OvertimeHours = 0;
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string      m_WorkingComment = string.Empty;
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        public DateTime AttendanceDate
+        {
+            get { return m_AttendanceDate; }
+            set { m_AttendanceDate = value; }
+        }
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        public double OvertimeHours
+        {
+            get { return m_OvertimeHours; }
+            set { m_OvertimeHours = value; }
+        }
+        /// <summary>
+        /// 作業コメント
+        /// </summary>
+        public string WorkingComment
+        {
+            get { return m_WorkingComment; }
+            set { m_WorkingComment = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
